<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/one-time-earnings_black.png">One Time Earnings</h2>
<div class="formFieldsBlock">
    <div class="col-sm-12">
        <form [formGroup]="oneTimeForm">
            <mat-card class="row" *ngFor="let oneTimeEarning of oneTimeEarningsArr.controls; let i = index" [formGroup]="oneTimeEarning">
                <span class="s-no">{{i+1}}</span>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Earning Type</mat-label>
                        <mat-select formControlName="entryType">
                            <mat-option *ngFor="let type of earningTypeList;let i=index;" [value]="type.code">{{type.code}}</mat-option>
                        </mat-select>
                        <mat-error *ngIf="oneTimeEarning.controls['entryType'].errors?.required &&
                        oneTimeEarning.controls['entryType'].touched">
                            Please Select Earning Type.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Date</mat-label>
                        <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="startDate" required>
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
                        <mat-error *ngIf="oneTimeEarning.controls['startDate'].errors?.required &&
                        oneTimeEarning.controls['startDate'].touched">
                            Please Select Date.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Amount</mat-label>
                        <input matInput type="number" formControlName="amount" required autocomplete="off" />
                        <mat-error *ngIf="oneTimeEarning.controls['amount'].errors?.required &&
                        oneTimeEarning.controls['amount'].touched">
                            Please Enter Amount.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Reason</mat-label>
                        <input matInput maxlength="150" formControlName="reason" required />
                        <mat-error *ngIf="oneTimeEarning.controls['reason'].errors?.required &&
                        oneTimeEarning.controls['reason'].touched">
                            Please Enter Reason.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="remove-action" *ngIf="!pkNumber">
                    <button type="btn" mat-mini-fab class="add-remove-item remove" (click)="removeItem(i)">-</button>
                  </div>
            </mat-card>
            <div class="add-action" *ngIf="!pkNumber">
                <span><button mat-mini-fab (click)="addForm()">+</button></span> <span class="text-btn">Add</span>
              </div>
            <br>
            <div class="btn-grp">
                <button mat-raised-button *ngIf="pkNumber" class="submit-btn save-btn" [disabled]="!pkNumber" (click)="onCancel()">Reset</button>
                <button mat-raised-button class="submit-btn" [disabled]="!oneTimeForm.valid" (click)="onSubmit('save')">Save</button>
                <button mat-raised-button [disabled]="!oneTimeForm.valid" (click)="onSubmit('submit')" class="submit-btn"> Submit</button>
            </div>

        </form>
    </div>
</div>